> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all resources referencing this email address



## OpenAPI

````yaml /openapi.json get /email_addresses/{id}/references
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /email_addresses/{id}/references:
    get:
      tags:
        - Email addresses
      summary: List all resources referencing this email address
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the email address
          required: true
      responses:
        '200':
          description: IDs of all resources that reference this email address
          content:
            application/json:
              schema:
                type: object
                properties:
                  campaign_ids:
                    type: array
                    items:
                      type: string
                    description: Campaign IDs using this email address
                  trigger_ids:
                    type: array
                    items:
                      type: string
                    description: Trigger IDs using this email address
                  email_blast_ids:
                    type: array
                    items:
                      type: string
                    description: Email blast IDs using this email address
                  project_email_address_ids:
                    type: array
                    items:
                      type: string
                    description: Project email address IDs using this email address
                required:
                  - campaign_ids
                  - trigger_ids
                  - email_blast_ids
                  - project_email_address_ids
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````